This is an searchable database of metadata for various National Snow and
Ice Data Center databases.

To obtain the list of databases, I first searched for a blank string, which
returned all 1044 databases, 25 at a time.
http://nsidc.org/data/search/#sortKeys=score,,desc/facetFilters=%7B%7D/pageNumber=1/itemsPerPage=25
Then, I changed `itemsPerPage` to 1044 in the above URL.
http://nsidc.org/data/search/#sortKeys=score,,desc/facetFilters=%7B%7D/pageNumber=1/itemsPerPage=1044
Loading the page took some time, but eventually all 1044 items appeared.
The page is dynamically-generated, so View Source did not return the items.
Instead, I used the javascript console in Firefox to execute the following
commands:

```
titles = document.getElementsByClassName("dataset-title")
Array.map(titles,function (el) { return(el.children[0]["href"]) }).join(";")
```

I copied and pasted the result into a text editor, substituting semicolons for
newlines (s/;/\n/g).  The result is the file `data/urls`.  Each URL in the file
is a standardized page describing the database.  Each database has a short
"Data Set ID", such as "NISE" or "G02135".  Each page links to a metadata
descriptor in XML.  The metadata descriptor URLs are somewhat predictably-named
given the Data Set ID, but are postfixed by an (unknown) version number.

The script `get_metadata.sh`, when executed in the tools/ folder, reads the
list of URLS and downloads the standardized page describing the database and
the XML metadata descriptor.

I invoked the script as `./get_metadata.sh | tee ../data/downloads.log` so that
downloads.log provides a record of the source URLs for the files in ../data/metadata_html and ../data_metadat_xml.

The test `./check_download.sh` should print "1044": It tests that each file is
plausibly and xml metadata file with the correct `<Dataset_Series_Name>` tag,
and not an error or other issue.  As of the writing, the test worked.

This file and associated code were written by Mitchell Newberry at DataRescue
NYC, Feb 4, 2017.
